Country

- China
- France
- Germany
- Japan
- Korea
- Spain
- Taiwan
- United Kingdom
- United States

Contact Us
|
Country
United States

# Technical Documentation

- Download Software
- Research a Problem
- Case Management
- Contract & Product Management
- Technical Documentation
  - Advanced Search
  - Documentation Archive
  - Documentation Bug Report
  - Enterprise MIBs
  - File Format Help
  - Glossary
  - Portable Libraries
- End-of-Life Products
- Contact Support
- Guidelines and Policies
- Security Resources

# neighbor bfd-liveness-detection

#### Syntax

neighbor { ipAddress | ipv6Address | peerGroupName } bfd-liveness-detection
[ minimum-interval minInterval |
[ minimum-receive-interval minRecInterval ]
[ minimum-transmit-interval minTransInterval ] ] [ multiplier multiplierValue ]

{ no | default } neighbor { ipAddress | ipv6Address | peerGroupName } bfd-liveness-detection

#### Release Information

Command introduced in JunosE Release 7.2.0.
ipv6Address variable added in JunosE Release 8.0.0.

#### Description

Enables BGP to determine quickly whether a BGP neighbor is unreachable by means of a BFD protocol session to the neighbor address or to each member of the specified peer group. The no version disables BFD liveness detection for the neighbor or peer-group members. The default version removes the explicit configuration from the peer or peer group and reestablishes inheritance of the feature configuration.

| Note: BFD sessions might not be maintained when the multiplier value is 1 and configured intervals are very short. We recommend that you do not use a multiplier value of 1 with very short intervals.

#### Options

- ipAddress—IP address of BGP neighbor
- ipv6Address—IPv6 address of BGP neighbor
- peerGroupName—Name of a BGP peer group. If you specify a BGP peer group by using the peerGroupName argument, all the members of the peer group inherit the characteristic configured with this command, unless it is overridden for a specific peer.
- minInterval—Minimum proposed transmit interval and required receive interval for BFD control packets; has the same effect as configuring the minimum receive interval and the minimum transmit interval to the same value; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- minRecInterval—Minimum interval at which the local peer must receive BFD control packets sent by the remote peer; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- minTransInterval—Minimum interval at which the local peer proposes to transmit BFD control packets to the remote peer; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- multiplierValue—Detection multiplier value that the remote peer router multiplies by the local peer’s negotiated transmit interval to determine the remote peer’s BFD liveness detection interval; equal to the number of BFD packets that can be missed before the BFD session is declared down; number in the range 1–255; default value is 3

#### Mode

Address Family Configuration, Router Configuration

#### Published: 2010-07-13

Help
|
My Account
|
Log Out